Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt

Use this file to discover all available pages before exploring further.

Deprecated Response Fields

The following response fields are deprecated. They are still returned at the time of writing but are no longer documented in the published OpenAPI schema and will be removed on July 1st 2026. Migrate right now.
On GET /v0/tokens/map/{chain}/{token_address}:
  • decentralization_score → use metrics.scores.bubblemaps_score instead
  • metadata.identified_supply → use metrics.supply_stats instead
  • metadata.identified_supply.share_in_cexs → use metrics.supply_stats.cexs instead
  • metadata.identified_supply.share_in_dexs → use metrics.supply_stats.dexs instead
  • metadata.identified_supply.share_in_other_contracts → use metrics.supply_stats.contracts instead (includes all contracts, not only non-CEX/DEX contracts)
On GET /v0/tokens/metadata/{chain}/{token_address} and POST /v0/tokens/metadata:
  • token_stats → use stats instead (query parameter name is unchanged: return_token_stats)

New Features

Token metrics are now a first-class object, with a dedicated endpoint and richer supply statistics.
  • Map responses now always a metrics object including various scores and extended supply statistics
  • Added Get Token Metrics endpoint for easy-access token stats and scores
  • Added use_time_nodes query parameter on Get Token Bubble Map (default true) for temporal groupings of transfers in cluster computation. Read more